Create a new test plan folder
POST
/testplanfoldersTest Plan Folder to add
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanFoldersApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanFoldersApi(config);
const result = await api.createTestPlanFolder({ "testPlanFolderPayload": { "project": 123, "parentId": 123, "title": "Checkout smoke tests" }});console.log(result);curl --request POST \ "https://api.testcollab.io/testplanfolders?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "id": 123, "project": 123, "parent_id": 123, "title": "example", "description": "example"}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
id |
number | No | — |
project |
number | Yes | — |
parent_id |
number | Yes | — |
title |
string | Yes | — |
description |
string | No | — |
Response
Section titled “Response”200 — Created Test Plan Folder
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
project |
number | Yes | — |
title |
string | Yes | — |
parent_id |
number | Yes | — |
sort_order |
number | No | — |
testplancount |
number | No | — |
created_by |
number | No | — |
description |
string | No | — |
created_at |
string | Yes | — |
updated_at |
string | Yes | — |
{ "id": 123, "project": 123, "title": "example", "parent_id": 123, "sort_order": 123, "testplancount": 123, "created_by": 123, "description": "example", "created_at": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |